#include "affichageaide.h"



cAffichageAide::cAffichageAide(const char* AideFile) : cOsdMenu (AideFile)
{
	char *Chemin;
	Chemin = Trim(AideFile);
	char *Aide;
	FILE *f;
	asprintf(&Aide,"%s/aide/%s/%s.aide",cPlugin::ConfigDirectory(),Chemin,Chemin);
	f=fopen(Aide,"r");
	if (f)
	{
		char buff[256];
		char *buff2;
		cOsdItem *item;
		while (fgets(buff,sizeof(buff),f)) {
			if (!strcmp(buff,":HEADER\n"))
			{
				char *Header;
				asprintf(&Header,"%s","");
				char *fgetresult=buff;
				while(fgetresult && strcmp(buff,":BODY\n"))
				{
					char *tmp;
					strtok(buff,"=");
					if (!strcmp(buff,"NAME"))
					{
						tmp=strtok(NULL,"=");
						asprintf(&Header," %sPlugin : %s",Header,tmp);
					}
					else if (!strcmp(buff,"VERSION"))
					{
						tmp=strtok(NULL,"=");
						asprintf(&Header," %sVersion : %s",Header,tmp);
					}
					else if (!strcmp(buff,"AUTOR"))
					{
						tmp=strtok(NULL,"=");
						asprintf(&Header," %sPar : %s",Header,tmp);
					}
					fgetresult=fgets(buff,sizeof(buff),f);
				}
				fgets(buff,sizeof(buff),f);
				item = new cOsdItem(Header);
				Add(item);

			}
			/*int loop = ((int)strlen(buff)/60);
			int nbr=0;
			for (int i=0; i < (loop + 1);i++)
			{
				i<loop ? nbr=60 : nbr=strlen(buff)%60 ; 
				strncpy(buff2,buff+(60*i),nbr );
				buff2[nbr]='\0';
				item = new cOsdItem(buff2);
				Add(item);	
			}*/
			char *buff3=buff;
			asprintf(&buff2,"%s","");
			strtok(buff3," ");
			while (buff3)
			{
				if ((strlen(buff2)+strlen(buff3))<60)
				{
					asprintf(&buff2,"%s %s",buff2,buff3);
				}
				else
				{
					item=new cOsdItem(buff2);
					Add(item);
					asprintf(&buff2,"%s",buff3);
				}
				buff3=strtok(NULL," ");
			}	
			item=new cOsdItem(buff2);
			Add(item);
			asprintf(&buff2,"%s","");
		}
		fclose(f);
	}
}

cAffichageAide::~cAffichageAide(void)
{
}

eOSState cAffichageAide::ProcessKey(eKeys Key)
{
	eOSState state = cOsdMenu::ProcessKey(Key);
	return state;
}

char *cAffichageAide::Trim(const char *totrim)
{
	char *result="";
	for (int i=0;i<(int) strlen(totrim);i++)
	{
		if (totrim[i]!=' ')
		{
			asprintf(&result,"%s%c",result,totrim[i]);
		}
	}
	return result;
}
